%global extension   multi-monitors-add-on
%global uuid        %{extension}@spin83
%global forgeurl    https://github.com/spin83/multi-monitors-add-on
%global commit      241eae8a02614152c7a03137edd879760b49e001
%global date        20210124

%forgemeta

Name:           gnome-shell-extension-%{extension}
Version:        22
Release:        2%{?dist}
Summary:        GNOME Shell extension to add multiple monitor overview and panel
# The entire source code is GPLv2+ except convenience.js which is BSD
License:        GPLv2+ and BSD
URL:            %{forgeurl}
Source0:        %{forgesource}
BuildArch:      noarch
Requires:       gnome-shell-extension-common
Recommends:     gnome-extensions-app


%description
GNOME Shell extension that adds panels and thumbnails for additional monitors.
Settings changes are applied in dynamic fashion, no restart needed.


%prep
%forgesetup

# relocate things we don't want copied into the extensions directory
mv %{uuid}/locale .
mv %{uuid}/schemas .


%install
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions

# install main extension files
cp -r --preserve=mode,timestamps %{uuid} %{buildroot}%{_datadir}/gnome-shell/extensions

# install the schema file
install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/%{uuid}.gschema.xml

# install locale files
for mo in locale/*/LC_MESSAGES/*.mo; do
    install -D -p -m 0644 $mo %{buildroot}%{_datadir}/$mo
done
%find_lang %{extension}


%files -f %{extension}.lang
%license LICENSE
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/%{uuid}.gschema.xml


%changelog
* Wed Jan 27 2021 Carl George <carl@george.computer> - 22-2.20210124git241eae8
- Latest upstream commit

* Sun Nov 15 2020 Carl George <carl@george.computer> - 22-1
- Latest upstream

* Sun Oct 25 2020 Carl George <carl@george.computer> - 21.2-1
- Latest upstream

* Sat Sep 12 2020 Carl George <carl@george.computer> - 20.1-1
- Initial package
